com.trendmicro.ds.appcontrol.rest.object.drift

## Class ListApplicationDriftRequest

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ListApplicationDriftRequest

-     public class ListApplicationDriftRequest
      extends java.lang.Object

  Request object for the ListApplicationDrift API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListApplicationDriftRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Get the number of items to retrieve.
    `ScopeWithHostGroup` | `getScope()` Get the search scope.
    `int` | `getStart()` Get the starting point for retrieving items, starting at 0.
    `void` | `setCount(int count)` Set the number of items to retrieve.
    `void` | `setScope(ScopeWithHostGroup scope)` Set the search scope.
    `void` | `setStart(int start)` Set the starting point for retrieving items, starting at 0.
    `ListApplicationDriftRequest` | `withCount(int count)` Set the number of items to retrieve.
    `ListApplicationDriftRequest` | `withScope(ScopeWithHostGroup scope)` Set the search scope.
    `ListApplicationDriftRequest` | `withStart(int start)` Set the starting point for retrieving items, starting at 0.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListApplicationDriftRequest

          public ListApplicationDriftRequest()

  - ### Method Detail

    - #### getScope

          public ScopeWithHostGroup getScope()

      Get the search scope.
      Returns:
        the search scope.

    - #### setScope

          public void setScope(ScopeWithHostGroup scope)

      Set the search scope.
      Parameters:
        `scope` - the search scope.

    - #### withScope

          public ListApplicationDriftRequest withScope(ScopeWithHostGroup scope)

      Set the search scope.
      Parameters:
        `scope` - the search scope.
      Returns:
        the updated ListApplicationDriftRequest object.

    - #### getCount

          public int getCount()

      Get the number of items to retrieve.
      Returns:
        the number of items to retrieve.

    - #### setCount

          public void setCount(int count)

      Set the number of items to retrieve.
      Parameters:
        `count` - the number of items to retrieve.

    - #### withCount

          public ListApplicationDriftRequest withCount(int count)

      Set the number of items to retrieve.
      Parameters:
        `count` - the number of items to retrieve.
      Returns:
        the updated ListApplicationDriftRequest object.

    - #### getStart

          public int getStart()

      Get the starting point for retrieving items, starting at 0. Use this for paging through results.
      Returns:
        the starting point for retrieving items, starting at 0. Use this for paging through results.

    - #### setStart

          public void setStart(int start)

      Set the starting point for retrieving items, starting at 0. Use this for paging through results.
      Parameters:
        `start` - the starting point for retrieving items, starting at 0. Use this for paging through results.

    - #### withStart

          public ListApplicationDriftRequest withStart(int start)

      Set the starting point for retrieving items, starting at 0. Use this for paging through results.
      Parameters:
        `start` - the starting point for retrieving items, starting at 0. Use this for paging through results.
      Returns:
        the updated ListApplicationDriftRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.